classification
Title: test_license_exists_at_url() of test_site fails on "x86 XP-4 3.4" buildbot
Type: Stage:
Components: Tests Versions: Python 3.4
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: alex, christian.heimes, ned.deily, pitrou, vstinner
Priority: normal Keywords: buildbot

Created on 2015-01-22 21:30 by vstinner, last changed 2015-03-18 10:55 by vstinner. This issue is now closed.

Messages (4)
msg234510 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2015-01-22 21:30
test_license_exists_at_url() of test_site fails on "x86 XP-4 3.4" buildbot. I don't understand why the test pass on "x86 XP-4 3.x", is it the same server?

http://buildbot.python.org/all/builders/x86%20XP-4%203.4/builds/747/steps/test/logs/stdio

======================================================================
ERROR: test_license_exists_at_url (test.test_site.ImportSideEffectTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "D:\cygwin\home\db3l\buildarea\3.4.bolen-windows\build\lib\urllib\request.py", line 1182, in do_open
    h.request(req.get_method(), req.selector, req.data, headers)
  File "D:\cygwin\home\db3l\buildarea\3.4.bolen-windows\build\lib\http\client.py", line 1088, in request
    self._send_request(method, url, body, headers)
  File "D:\cygwin\home\db3l\buildarea\3.4.bolen-windows\build\lib\http\client.py", line 1126, in _send_request
    self.endheaders(body)
  File "D:\cygwin\home\db3l\buildarea\3.4.bolen-windows\build\lib\http\client.py", line 1084, in endheaders
    self._send_output(message_body)
  File "D:\cygwin\home\db3l\buildarea\3.4.bolen-windows\build\lib\http\client.py", line 922, in _send_output
    self.send(msg)
  File "D:\cygwin\home\db3l\buildarea\3.4.bolen-windows\build\lib\http\client.py", line 857, in send
    self.connect()
  File "D:\cygwin\home\db3l\buildarea\3.4.bolen-windows\build\lib\http\client.py", line 1231, in connect
    server_hostname=server_hostname)
  File "D:\cygwin\home\db3l\buildarea\3.4.bolen-windows\build\lib\ssl.py", line 365, in wrap_socket
    _context=self)
  File "D:\cygwin\home\db3l\buildarea\3.4.bolen-windows\build\lib\ssl.py", line 583, in __init__
    self.do_handshake()
  File "D:\cygwin\home\db3l\buildarea\3.4.bolen-windows\build\lib\ssl.py", line 810, in do_handshake
    self._sslobj.do_handshake()
ssl.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:600)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "D:\cygwin\home\db3l\buildarea\3.4.bolen-windows\build\lib\test\test_site.py", line 426, in test_license_exists_at_url
    with urllib.request.urlopen(req) as data:
  File "D:\cygwin\home\db3l\buildarea\3.4.bolen-windows\build\lib\urllib\request.py", line 161, in urlopen
    return opener.open(url, data, timeout)
  File "D:\cygwin\home\db3l\buildarea\3.4.bolen-windows\build\lib\urllib\request.py", line 469, in open
    response = meth(req, response)
  File "D:\cygwin\home\db3l\buildarea\3.4.bolen-windows\build\lib\urllib\request.py", line 579, in http_response
    'http', request, response, code, msg, hdrs)
  File "D:\cygwin\home\db3l\buildarea\3.4.bolen-windows\build\lib\urllib\request.py", line 501, in error
    result = self._call_chain(*args)
  File "D:\cygwin\home\db3l\buildarea\3.4.bolen-windows\build\lib\urllib\request.py", line 441, in _call_chain
    result = func(*args)
  File "D:\cygwin\home\db3l\buildarea\3.4.bolen-windows\build\lib\urllib\request.py", line 684, in http_error_302
    return self.parent.open(new, timeout=req.timeout)
  File "D:\cygwin\home\db3l\buildarea\3.4.bolen-windows\build\lib\urllib\request.py", line 463, in open
    response = self._open(req, data)
  File "D:\cygwin\home\db3l\buildarea\3.4.bolen-windows\build\lib\urllib\request.py", line 481, in _open
    '_open', req)
  File "D:\cygwin\home\db3l\buildarea\3.4.bolen-windows\build\lib\urllib\request.py", line 441, in _call_chain
    result = func(*args)
  File "D:\cygwin\home\db3l\buildarea\3.4.bolen-windows\build\lib\urllib\request.py", line 1225, in https_open
    context=self._context, check_hostname=self._check_hostname)
  File "D:\cygwin\home\db3l\buildarea\3.4.bolen-windows\build\lib\urllib\request.py", line 1184, in do_open
    raise URLError(err)
urllib.error.URLError: <urlopen error [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:600)>
msg234511 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2015-01-22 21:37
The URL is http://www.python.org/psf/license/

wget tells me that the URL is directed to https://www.python.org/psf/license/ which is redirected to https://docs.python.org/license.html which is redirected to https://docs.python.org/2/license.html.

According to Firefox, docs.python.org uses a certificate signed by "DigiCert Inc" with the CN "www.python.org" (hum, it should not be "docs.python.org" ?).

Same failure on "x86 Windows7 3.4":
http://buildbot.python.org/all/builders/x86%20Windows7%203.4/builds/713/steps/test/logs/stdio

And "x86 Ubuntu Shared 3.4":
http://buildbot.python.org/all/builders/x86%20Ubuntu%20Shared%203.4/builds/795/steps/test/logs/stdio
msg234648 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2015-01-25 02:31
Are the Windows 3.4 and 3.x builds on the buildbot using different versions of OpenSSL?  Certificate verifies would fail with 0.9.7.
msg238409 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2015-03-18 10:55
Builder x86 XP-4 3.4 is green again. I close the issue.
History
Date User Action Args
2015-03-18 10:55:27vstinnersetstatus: open -> closed
resolution: out of date
messages: + msg238409
2015-01-25 02:31:54ned.deilysetnosy: + ned.deily
messages: + msg234648
2015-01-22 21:37:35vstinnersetnosy: + christian.heimes
messages: + msg234511
2015-01-22 21:30:03vstinnercreate